Stream FindAll Events
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "findall.candidate.generated",
"timestamp": "2025-09-10T21:02:08.626446Z",
"event_id": "56cee734dbc84172bfc491327f2a0183",
"data": {
"candidate_id": "candidate_52e1e30b-4e0a-49d8-82eb-79e64e0ed015",
"name": "Pika",
"url": "pika.art",
"description": "Pika is an AI video generation platform that creates and edits videos from text prompts or images.",
"match_status": "generated"
}
}Parallel.ai
Stream FindAll Events
Stream events from a FindAll run. Args: request: The Shapi request。findall_id: The FindAll run ID.last_event_id: Optional event ID to resume from.timeout: Optional timeout in seconds. If None, keep connection alive as long as the run is going. If set, stop after specified duration.
GET
https://api.aisa.one
/
apis
/
v1
/
parallel
/
findall
/
runs
/
{findall_id}
/
events
Stream FindAll Events
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求头
路径参数
响应
Successful Response
- FindAllSchemaUpdatedEvent
- FindAllRunStatusEvent
- FindAllCandidateMatchStatusEvent
- ErrorEvent
Event containing full snapshot of FindAll run state.
Event type; always 'findall.schema.updated'.
可用选项:
findall.schema.updated Allowed value:
"findall.schema.updated"Timestamp of the event.
Unique event identifier for the event.
Updated FindAll schema.
Show child attributes
Show child attributes